Package com.io7m.coffeepick.api

# Class CoffeePickTaskEventFailed

java.lang.Object
com.io7m.coffeepick.api.CoffeePickTaskEventFailed

All Implemented Interfaces:
  `CoffeePickEventType`, `CoffeePickTaskEventFailedType`, `CoffeePickTaskEventType`

    public final class CoffeePickTaskEventFailed
    extends java.lang.Object
    implements CoffeePickTaskEventFailedType

A task has completed with an error.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `CoffeePickTaskEventFailed.Builder` | Builds instances of type `CoffeePickTaskEventFailed`.

  ## Nested classes/interfaces inherited from interface com.io7m.coffeepick.api.CoffeePickEventType

  `CoffeePickEventType.Severity`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static CoffeePickTaskEventFailed.Builder` | `builder()` | Creates a builder for `CoffeePickTaskEventFailed`.
  `static CoffeePickTaskEventFailed` | `copyOf​(CoffeePickTaskEventFailedType instance)` | Creates an immutable copy of a `CoffeePickTaskEventFailedType` value.
  `java.lang.String` | `description()` |
  `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `CoffeePickTaskEventFailed` that have equal attribute values.
  `int` | `hashCode()` | Computes a hash code from attributes: `description`.
  `java.lang.String` | `toString()` | Prints the immutable value `CoffeePickTaskEventFailed` with attribute values.
  `CoffeePickTaskEventFailed` | `withDescription​(java.lang.String value)` | Copy the current immutable object by setting a value for the `description` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.coffeepick.api.CoffeePickTaskEventFailedType

  `severity`

- ## Method Details

  - ### description

    public java.lang.String description()
    Specified by:
      `description` in interface `CoffeePickTaskEventFailedType`
    Specified by:
      `description` in interface `CoffeePickTaskEventType`
    Returns:
      The value of the `description` attribute

  - ### withDescription

    public final CoffeePickTaskEventFailed withDescription​(java.lang.String value)
    Copy the current immutable object by setting a value for the `description` attribute. An equals check used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for description
    Returns:
      A modified copy of the `this` object

  - ### equals

    public boolean equals​(java.lang.Object another)
    This instance is equal to all instances of `CoffeePickTaskEventFailed` that have equal attribute values.
    Overrides:
      `equals` in class `java.lang.Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `description`.
    Overrides:
      `hashCode` in class `java.lang.Object`
    Returns:
      hashCode value

  - ### toString

    public java.lang.String toString()
    Prints the immutable value `CoffeePickTaskEventFailed` with attribute values.
    Overrides:
      `toString` in class `java.lang.Object`
    Returns:
      A string representation of the value

  - ### copyOf

    public static CoffeePickTaskEventFailed copyOf​(CoffeePickTaskEventFailedType instance)
    Creates an immutable copy of a `CoffeePickTaskEventFailedType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable CoffeePickTaskEventFailed instance

  - ### builder

    public static CoffeePickTaskEventFailed.Builder builder()
    Creates a builder for `CoffeePickTaskEventFailed`.

         CoffeePickTaskEventFailed.builder()
            .setDescription(String) // required description
            .build();

    Returns:
      A new CoffeePickTaskEventFailed builder